TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Roots ( elt-alg^pol f, elt-ord^rat n ) -> seq()

### Description

<shortdoc> Given a univariate polynomial f over a series ring return the partial expansions of the roots of f to precision at least n with their multiplicities. </shortdoc>

### Examples

x_L := LaurentSeriesRing(FiniteField(29)); x_P := PolynomialAlgebra(x_L); x_f := x_P.1^2 -7; Roots(x_f, 5);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack